import { connect, Dispatch } from 'react-redux';
import {
  SensorConfigStepper,
  SensorConfigStepperStateProps,
  SensorConfigStepperDispatchProps,
} from './components/SensorConfigStepper';
// import State from '../redux/state/ReadAllByTarget';

import Target from '@overflow/target/api/model/Target';
import Sensor from '@overflow/sensor/api/model/Sensor';
import Domain from '@overflow/domain/api/model/Domain';
import MetaSensorItem from '@overflow/meta/api/model/MetaSensorItem';

import * as CrawlerReadAllByTargetActions from '@overflow/meta/redux/action/crawler_read_all_by_target';
import * as SensorItemReadAllActions from '@overflow/meta/redux/action/sensor_item_read_all';
import * as RegistActions from '../redux/action/regist';

import * as asyncRequestActions from '@overflow/commons/redux/action/asyncRequest';
import * as targetListActions from '@overflow/target/redux/action/read_all_by_probe';
import * as readActionType from '@overflow/infra/redux/action/read';

// FIXME::....

export function mapStateToProps(state: any, props: any): SensorConfigStepperStateProps {
  return {
  };
}

export function mapDispatchToProps(dispatch: Dispatch<any>): SensorConfigStepperDispatchProps {
  return {
  };
}


export default connect(mapStateToProps, mapDispatchToProps)(SensorConfigStepper);
